Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class ServiceData

    java.lang.Object
      org.apache.axis2.dataretrieval.ServiceData

    public class ServiceData

extends java.lang.Object

This represents the service data for a dialect and identifier if specified. Basically, the Data element defined in the ServiceData.xml packaged in a Web Service's achieve file.

Constructor Summary
`ServiceData(org.apache.axiom.om.OMElement in_data)` Constructor

Method Summary
`java.lang.String` | `getAttributeValue(java.lang.String qName)`
`java.lang.String` | `getDialect()`
`org.apache.axiom.om.OMElement` | `getEndpointReference()`
`org.apache.axiom.om.OMElement` | `getFileContent(java.lang.ClassLoader classloader)`
`java.lang.String` | `getIdentifier()`
`org.apache.axiom.om.OMElement` | `getOMData()`
`java.lang.String` | `getURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceData

    public ServiceData(org.apache.axiom.om.OMElement in_data)

  Constructor

  Parameters:
    `in_data` - an Data element in the ServiceData.

Method Detail

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String qName)

### getIdentifier

    public java.lang.String getIdentifier()

### getDialect

    public java.lang.String getDialect()

### getOMData

    public org.apache.axiom.om.OMElement getOMData()

### getURL

    public java.lang.String getURL()

### getEndpointReference

    public org.apache.axiom.om.OMElement getEndpointReference()

### getFileContent

    public org.apache.axiom.om.OMElement getFileContent(java.lang.ClassLoader classloader)
                                                 throws DataRetrievalException

  Throws:
    `DataRetrievalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.